%define real_name ExtUtils-AutoInstall

Summary:	ExtUtils::AutoInstall - Automatic install of dependencies via CPAN
Name:		perl-%{real_name}
Version:	0.63
Release:	%mkrel 5
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{real_name}
Source0:	http://search.cpan.org/CPAN/authors/id/A/AU/AUTRIJUS/%{real_name}-%{version}.tar.bz2
Patch0:		eai.patch
BuildRequires:	perl-devel
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Sort::Versions) >= 1.2
BuildRequires:	perl(LWP::Simple)
BuildRequires:	perl(CPAN)
BuildRequires:	ncftp
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
ExtUtils-AutoInstall module for perl

%prep

%setup -q -n %{real_name}-%{version} 
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%{__make}

#check
#make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/ExtUtils/AutoInstall.pm
%{_mandir}/*/*


%changelog
* Mon Sep 29 2008 Oden Eriksson <oeriksson@mandriva.com> 0.63-5mdv2009.0
+ Revision: 289486
- sync with fedora
- disable the tests for now

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.63-2mdv2008.1
+ Revision: 135841
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.63-2mdv2007.0
+ Revision: 108540
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-ExtUtils-AutoInstall

* Tue Sep 27 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.63-1mdk
- 0.63

* Fri Jul 15 2005 Oden Eriksson <oeriksson@mandriva.com> 0.62-1mdk
- initial Mandriva package

